Unable to install

PerlMagick is an object-oriented Perl interface to ImageMagick. Use this forum to discuss, make suggestions about, or report bugs concerning PerlMagick.
Post Reply
chorny
Posts: 2
Joined: 2012-12-12T17:09:07-07:00
Authentication code: 6789

Unable to install

Post by chorny » 2013-02-05T16:18:04-07:00

I'm unable to install PerlMagick 6.82.0 anywhere - compilation fails.
See my cpantesters reports:
Windows, ImageMagick-6.8.0-Q8 http://www.cpantesters.org/cpan/report/ ... 1b7c6163c8
Windows, ImageMagick-6.8.2-Q16 http://www.cpantesters.org/cpan/report/ ... 95878af2c3
Debian 6 http://www.cpantesters.org/cpan/report/ ... 5a50fc5d37
Ubuntu 12.10 64-bit http://www.cpantesters.org/cpan/report/ ... 82c4c2dd2b
By looking at cpantesters matrix http://matrix.cpantesters.org/?dist=PerlMagick+6.82.0 , no tester was able to install this version (but many failures appear because 'magick/MagickCore.h' was not found, sending such report can be skipped with Devel::CheckLib )

User avatar
magick
Site Admin
Posts: 10909
Joined: 2003-05-31T11:32:55-07:00

Re: Unable to install

Post by magick » 2013-02-06T03:53:27-07:00

We have a patch for the ssize_t problem under Windows. Look for it in the next point release of ImageMagick, perhaps by this weekend.

The other bug reports come from trying to use older releases of ImageMagick. The README states that ImageMagick 6.8.2 is required for this release of ImageMagick. We'll look for a patch to PerlMagick to test the ImageMagick release but we're pretty busy right now. If a Perl monger can post a patch here, that would be grand. Otherwise we're not sure when a patch will be available.

Post Reply